### Method

# Gegl Metadata get_resolution

#### Declaration [src]

    gboolean
    gegl_metadata_get_resolution (
      GeglMetadata* metadata,
      GeglResolutionUnit* unit,
      gfloat* x,
      gfloat* y
    )

#### Description [src]

Retrieve resolution from the application image metadata. Intended for use by the image file writer. If resolution is not supported by the application or if the operation fails `FALSE` is returned and the resolution values are not updated.

#### Parameters

`unit`

  Type: `GeglResolutionUnit`

  `GeglResolutionUnit` return location.

  The data is owned by the caller of the method.

`x`

  Type: `gfloat*`

  X resolution return location.

  The data is owned by the caller of the method.

`y`

  Type: `gfloat*`

  Y resolution return location.

  The data is owned by the caller of the method.

#### Return value

Type: `gboolean`

`TRUE` if successful.